diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelDispatcher.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelDispatcher.java
index 2e3339d3c..bbb0483c0 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelDispatcher.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelDispatcher.java
@@ -382,6 +382,8 @@ public final class BlockModelDispatcher
         addDispatch(new BlockModelGenericButton<>(Blocks.BUTTON_GLOOMSTONE, "minecraft:block/button/stone/gloomstone"));
         addDispatch(new BlockModelGenericButton<>(Blocks.BUTTON_SANDSTONE, "minecraft:block/button/stone/sandstone"));
         addDispatch(new BlockModelGenericButton<>(Blocks.BUTTON_BRIMSTONE, "minecraft:block/button/stone/brimstone"));
+        addDispatch(new BlockModelGenericButton<>(Blocks.BUTTON_MARBLE, "minecraft:block/button/stone/marble"));
+        addDispatch(new BlockModelGenericButton<>(Blocks.BUTTON_SLATE, "minecraft:block/button/stone/slate"));
         addDispatch(new BlockModelGenericButton<>(Blocks.BUTTON_PLANKS_OAK, "minecraft:block/button/planks/oak"));
         addDispatch(new BlockModelGenericButtonPainted<>(Blocks.BUTTON_PLANKS_PAINTED));
 
@@ -396,6 +398,8 @@ public final class BlockModelDispatcher
         addDispatch(new BlockModelGenericPressurePlate<>(Blocks.PRESSURE_PLATE_GLOOMSTONE, "minecraft:block/pressure_plate/stone/gloomstone"));
         addDispatch(new BlockModelGenericPressurePlate<>(Blocks.PRESSURE_PLATE_SANDSTONE, "minecraft:block/pressure_plate/stone/sandstone"));
         addDispatch(new BlockModelGenericPressurePlate<>(Blocks.PRESSURE_PLATE_BRIMSTONE, "minecraft:block/pressure_plate/stone/brimstone"));
+        addDispatch(new BlockModelGenericPressurePlate<>(Blocks.PRESSURE_PLATE_MARBLE, "minecraft:block/pressure_plate/stone/marble"));
+        addDispatch(new BlockModelGenericPressurePlate<>(Blocks.PRESSURE_PLATE_SLATE, "minecraft:block/pressure_plate/stone/slate"));
 
         addDispatch(new BlockModelGenericPressurePlate<>(Blocks.PRESSURE_PLATE_PLANKS_OAK, "minecraft:block/pressure_plate/planks/oak"));
         addDispatch(new BlockModelGenericPressurePlate<>(Blocks.PRESSURE_PLATE_COBBLE_STONE, "minecraft:block/pressure_plate/cobbled/stone"));
diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/generic/BlockModelGenericRubyglassGrowth.java b/game/client/src/main/java/net/minecraft/client/render/block/model/generic/BlockModelGenericRubyglassGrowth.java
index f0488a930..0889ec820 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/generic/BlockModelGenericRubyglassGrowth.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/generic/BlockModelGenericRubyglassGrowth.java
@@ -30,17 +30,7 @@ public class BlockModelGenericRubyglassGrowth<T extends BlockLogic> extends Bloc
 
     @Override
     public boolean render(@NotNull TessellatorGeneral tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
-        int data = worldSource.getBlockData(tilePos);
-
-        int shape = data & SHAPE_MASK;
-
-        if (shape == STATE_TOP) {
-            return this.topModel.render(tessellator, worldSource, tilePos);
-        } else if (shape == STATE_BOTTOM) {
-            return this.bottomModel.render(tessellator, worldSource, tilePos);
-        } else {
-            return this.budModel.render(tessellator, worldSource, tilePos);
-        }
+        return this.modelForShape(worldSource, tilePos).render(tessellator, worldSource, tilePos);
     }
 
     @Override
@@ -50,7 +40,19 @@ public class BlockModelGenericRubyglassGrowth<T extends BlockLogic> extends Bloc
 
     @Override
     public boolean renderWithOverrideTexture(@NotNull TessellatorGeneral tessellator, @NotNull WorldSource worldSource, @NotNull TilePosc tilePos, IconCoordinate overrideTexture) {
-        return false;
+        return this.modelForShape(worldSource, tilePos).renderWithOverrideTexture(tessellator, worldSource, tilePos, overrideTexture);
+    }
+
+    private @NotNull BlockModelGenericFullyRotatable<T> modelForShape(@NotNull WorldSource worldSource, @NotNull TilePosc tilePos) {
+        int shape = worldSource.getBlockData(tilePos) & SHAPE_MASK;
+
+        if (shape == STATE_TOP) {
+            return this.topModel;
+        } else if (shape == STATE_BOTTOM) {
+            return this.bottomModel;
+        } else {
+            return this.budModel;
+        }
     }
 
     @Override
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/fluid/acid/flowing.emiss.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/fluid/acid/flowing.emiss.png.mcmeta
index b20a20474..57ab1b345 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/fluid/acid/flowing.emiss.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/fluid/acid/flowing.emiss.png.mcmeta
@@ -1,17 +1,5 @@
 {
-  "animation": {
-    "interpolate": false,
-    "random": false,
-    "frametime": 7,
-    "frames": [
-      0,
-      1,
-      2,
-      3,
-      4,
-      5,
-      6,
-      7
-    ]
-  }
+	"animation": {
+		"frametime": 7
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/fluid/acid/flowing.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/fluid/acid/flowing.png.mcmeta
index b20a20474..57ab1b345 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/fluid/acid/flowing.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/fluid/acid/flowing.png.mcmeta
@@ -1,17 +1,5 @@
 {
-  "animation": {
-    "interpolate": false,
-    "random": false,
-    "frametime": 7,
-    "frames": [
-      0,
-      1,
-      2,
-      3,
-      4,
-      5,
-      6,
-      7
-    ]
-  }
+	"animation": {
+		"frametime": 7
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/fluid/acid/still.emiss.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/fluid/acid/still.emiss.png.mcmeta
index e0fcfa6e6..82bde58cf 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/fluid/acid/still.emiss.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/fluid/acid/still.emiss.png.mcmeta
@@ -1,12 +1,6 @@
 {
-  "animation": {
-    "interpolate": true,
-    "frametime": 30,
-    "frames": [
-      0,
-      1,
-      2,
-      3
-    ]
-  }
+	"animation": {
+		"interpolate": true,
+		"frametime": 30
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/fluid/acid/still.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/fluid/acid/still.png.mcmeta
index 781fd9305..82bde58cf 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/fluid/acid/still.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/fluid/acid/still.png.mcmeta
@@ -1,16 +1,6 @@
 {
-  "animation": {
-    "interpolate": true,
-    "frametime": 30,
-    "frames": [
-      0,
-      1,
-      2,
-      3,
-      0,
-      3,
-      2,
-      1
-    ]
-  }
+	"animation": {
+		"interpolate": true,
+		"frametime": 30
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front0.emiss.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front0.emiss.png.mcmeta
index 6c67b115b..631c360b1 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front0.emiss.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front0.emiss.png.mcmeta
@@ -1,16 +1,16 @@
 {
-    "animation": {
-        "frametime": 2,
-        "frames": [
-            0,
-            1,
-            2,
-            3,
-            4,
-            {
-                "index": 5,
-                "time": 80
-            }
-        ]
-    }
+	"animation": {
+		"frametime": 2,
+		"frames": [
+			0,
+			1,
+			2,
+			3,
+			2,
+			{
+				"index": 1,
+				"time": 80
+			}
+		]
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front0.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front0.png.mcmeta
index 6c67b115b..631c360b1 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front0.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front0.png.mcmeta
@@ -1,16 +1,16 @@
 {
-    "animation": {
-        "frametime": 2,
-        "frames": [
-            0,
-            1,
-            2,
-            3,
-            4,
-            {
-                "index": 5,
-                "time": 80
-            }
-        ]
-    }
+	"animation": {
+		"frametime": 2,
+		"frames": [
+			0,
+			1,
+			2,
+			3,
+			2,
+			{
+				"index": 1,
+				"time": 80
+			}
+		]
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front1.emiss.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front1.emiss.png.mcmeta
index fe63ba1cc..6e5692009 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front1.emiss.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front1.emiss.png.mcmeta
@@ -1,16 +1,16 @@
 {
-    "animation": {
-        "frametime": 2,
-        "frames": [
-            0,
-            1,
-            2,
-            3,
-            4,
-            {
-                "index": 5,
-                "time": 90
-            }
-        ]
-    }
+	"animation": {
+		"frametime": 2,
+		"frames": [
+			0,
+			1,
+			2,
+			3,
+			2,
+			{
+				"index": 1,
+				"time": 90
+			}
+		]
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front1.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front1.png.mcmeta
index fe63ba1cc..6e5692009 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front1.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front1.png.mcmeta
@@ -1,16 +1,16 @@
 {
-    "animation": {
-        "frametime": 2,
-        "frames": [
-            0,
-            1,
-            2,
-            3,
-            4,
-            {
-                "index": 5,
-                "time": 90
-            }
-        ]
-    }
+	"animation": {
+		"frametime": 2,
+		"frames": [
+			0,
+			1,
+			2,
+			3,
+			2,
+			{
+				"index": 1,
+				"time": 90
+			}
+		]
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front2.emiss.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front2.emiss.png.mcmeta
index 0c408636c..69042ce2b 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front2.emiss.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front2.emiss.png.mcmeta
@@ -1,16 +1,16 @@
 {
-    "animation": {
-        "frametime": 2,
-        "frames": [
-            0,
-            1,
-            2,
-            3,
-            4,
-            {
-                "index": 5,
-                "time": 60
-            }
-        ]
-    }
+	"animation": {
+		"frametime": 2,
+		"frames": [
+			0,
+			1,
+			2,
+			3,
+			2,
+			{
+				"index": 1,
+				"time": 60
+			}
+		]
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front2.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front2.png.mcmeta
index 0c408636c..69042ce2b 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front2.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front2.png.mcmeta
@@ -1,16 +1,16 @@
 {
-    "animation": {
-        "frametime": 2,
-        "frames": [
-            0,
-            1,
-            2,
-            3,
-            4,
-            {
-                "index": 5,
-                "time": 60
-            }
-        ]
-    }
+	"animation": {
+		"frametime": 2,
+		"frames": [
+			0,
+			1,
+			2,
+			3,
+			2,
+			{
+				"index": 1,
+				"time": 60
+			}
+		]
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front3.emiss.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front3.emiss.png.mcmeta
index 893e25fb8..d4c5c151d 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front3.emiss.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front3.emiss.png.mcmeta
@@ -1,16 +1,16 @@
 {
-    "animation": {
-        "frametime": 2,
-        "frames": [
-            0,
-            1,
-            2,
-            3,
-            4,
-            {
-                "index": 5,
-                "time": 100
-            }
-        ]
-    }
+	"animation": {
+		"frametime": 2,
+		"frames": [
+			0,
+			1,
+			2,
+			3,
+			2,
+			{
+				"index": 1,
+				"time": 100
+			}
+		]
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front3.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front3.png.mcmeta
index 893e25fb8..d4c5c151d 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front3.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front3.png.mcmeta
@@ -1,16 +1,16 @@
 {
-    "animation": {
-        "frametime": 2,
-        "frames": [
-            0,
-            1,
-            2,
-            3,
-            4,
-            {
-                "index": 5,
-                "time": 100
-            }
-        ]
-    }
+	"animation": {
+		"frametime": 2,
+		"frames": [
+			0,
+			1,
+			2,
+			3,
+			2,
+			{
+				"index": 1,
+				"time": 100
+			}
+		]
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active0.emiss.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active0.emiss.png.mcmeta
index 6c67b115b..631c360b1 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active0.emiss.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active0.emiss.png.mcmeta
@@ -1,16 +1,16 @@
 {
-    "animation": {
-        "frametime": 2,
-        "frames": [
-            0,
-            1,
-            2,
-            3,
-            4,
-            {
-                "index": 5,
-                "time": 80
-            }
-        ]
-    }
+	"animation": {
+		"frametime": 2,
+		"frames": [
+			0,
+			1,
+			2,
+			3,
+			2,
+			{
+				"index": 1,
+				"time": 80
+			}
+		]
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active0.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active0.png.mcmeta
index 6c67b115b..631c360b1 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active0.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active0.png.mcmeta
@@ -1,16 +1,16 @@
 {
-    "animation": {
-        "frametime": 2,
-        "frames": [
-            0,
-            1,
-            2,
-            3,
-            4,
-            {
-                "index": 5,
-                "time": 80
-            }
-        ]
-    }
+	"animation": {
+		"frametime": 2,
+		"frames": [
+			0,
+			1,
+			2,
+			3,
+			2,
+			{
+				"index": 1,
+				"time": 80
+			}
+		]
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active1.emiss.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active1.emiss.png.mcmeta
index fe63ba1cc..6e5692009 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active1.emiss.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active1.emiss.png.mcmeta
@@ -1,16 +1,16 @@
 {
-    "animation": {
-        "frametime": 2,
-        "frames": [
-            0,
-            1,
-            2,
-            3,
-            4,
-            {
-                "index": 5,
-                "time": 90
-            }
-        ]
-    }
+	"animation": {
+		"frametime": 2,
+		"frames": [
+			0,
+			1,
+			2,
+			3,
+			2,
+			{
+				"index": 1,
+				"time": 90
+			}
+		]
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active1.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active1.png.mcmeta
index fe63ba1cc..6e5692009 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active1.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active1.png.mcmeta
@@ -1,16 +1,16 @@
 {
-    "animation": {
-        "frametime": 2,
-        "frames": [
-            0,
-            1,
-            2,
-            3,
-            4,
-            {
-                "index": 5,
-                "time": 90
-            }
-        ]
-    }
+	"animation": {
+		"frametime": 2,
+		"frames": [
+			0,
+			1,
+			2,
+			3,
+			2,
+			{
+				"index": 1,
+				"time": 90
+			}
+		]
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active2.emiss.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active2.emiss.png.mcmeta
index 0c408636c..69042ce2b 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active2.emiss.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active2.emiss.png.mcmeta
@@ -1,16 +1,16 @@
 {
-    "animation": {
-        "frametime": 2,
-        "frames": [
-            0,
-            1,
-            2,
-            3,
-            4,
-            {
-                "index": 5,
-                "time": 60
-            }
-        ]
-    }
+	"animation": {
+		"frametime": 2,
+		"frames": [
+			0,
+			1,
+			2,
+			3,
+			2,
+			{
+				"index": 1,
+				"time": 60
+			}
+		]
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active2.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active2.png.mcmeta
index 0c408636c..69042ce2b 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active2.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active2.png.mcmeta
@@ -1,16 +1,16 @@
 {
-    "animation": {
-        "frametime": 2,
-        "frames": [
-            0,
-            1,
-            2,
-            3,
-            4,
-            {
-                "index": 5,
-                "time": 60
-            }
-        ]
-    }
+	"animation": {
+		"frametime": 2,
+		"frames": [
+			0,
+			1,
+			2,
+			3,
+			2,
+			{
+				"index": 1,
+				"time": 60
+			}
+		]
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active3.emiss.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active3.emiss.png.mcmeta
index 893e25fb8..d4c5c151d 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active3.emiss.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active3.emiss.png.mcmeta
@@ -1,16 +1,16 @@
 {
-    "animation": {
-        "frametime": 2,
-        "frames": [
-            0,
-            1,
-            2,
-            3,
-            4,
-            {
-                "index": 5,
-                "time": 100
-            }
-        ]
-    }
+	"animation": {
+		"frametime": 2,
+		"frames": [
+			0,
+			1,
+			2,
+			3,
+			2,
+			{
+				"index": 1,
+				"time": 100
+			}
+		]
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active3.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active3.png.mcmeta
index 893e25fb8..d4c5c151d 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active3.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/matcher/front_active3.png.mcmeta
@@ -1,16 +1,16 @@
 {
-    "animation": {
-        "frametime": 2,
-        "frames": [
-            0,
-            1,
-            2,
-            3,
-            4,
-            {
-                "index": 5,
-                "time": 100
-            }
-        ]
-    }
+	"animation": {
+		"frametime": 2,
+		"frames": [
+			0,
+			1,
+			2,
+			3,
+			2,
+			{
+				"index": 1,
+				"time": 100
+			}
+		]
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/block.emiss.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/block.emiss.png.mcmeta
index b13a44198..657147540 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/block.emiss.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/block.emiss.png.mcmeta
@@ -1,16 +1,6 @@
 {
-  "animation": {
-    "interpolate": true,
-    "frametime": 16,
-    "frames": [
-      0,
-      1,
-      2,
-      3,
-      4,
-      5,
-      6,
-      7
-    ]
-  }
+	"animation": {
+		"interpolate": true,
+		"frametime": 80
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/block.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/block.png.mcmeta
index b13a44198..657147540 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/block.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/block.png.mcmeta
@@ -1,16 +1,6 @@
 {
-  "animation": {
-    "interpolate": true,
-    "frametime": 16,
-    "frames": [
-      0,
-      1,
-      2,
-      3,
-      4,
-      5,
-      6,
-      7
-    ]
-  }
+	"animation": {
+		"interpolate": true,
+		"frametime": 80
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/brick.emiss.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/brick.emiss.png.mcmeta
index b13a44198..657147540 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/brick.emiss.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/brick.emiss.png.mcmeta
@@ -1,16 +1,6 @@
 {
-  "animation": {
-    "interpolate": true,
-    "frametime": 16,
-    "frames": [
-      0,
-      1,
-      2,
-      3,
-      4,
-      5,
-      6,
-      7
-    ]
-  }
+	"animation": {
+		"interpolate": true,
+		"frametime": 80
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/brick.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/brick.png.mcmeta
index b13a44198..657147540 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/brick.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/brick.png.mcmeta
@@ -1,16 +1,6 @@
 {
-  "animation": {
-    "interpolate": true,
-    "frametime": 16,
-    "frames": [
-      0,
-      1,
-      2,
-      3,
-      4,
-      5,
-      6,
-      7
-    ]
-  }
+	"animation": {
+		"interpolate": true,
+		"frametime": 80
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/node.emiss.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/node.emiss.png.mcmeta
index b13a44198..657147540 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/node.emiss.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/node.emiss.png.mcmeta
@@ -1,16 +1,6 @@
 {
-  "animation": {
-    "interpolate": true,
-    "frametime": 16,
-    "frames": [
-      0,
-      1,
-      2,
-      3,
-      4,
-      5,
-      6,
-      7
-    ]
-  }
+	"animation": {
+		"interpolate": true,
+		"frametime": 80
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/node.png.mcmeta b/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/node.png.mcmeta
index b13a44198..657147540 100644
--- a/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/node.png.mcmeta
+++ b/game/client/src/main/resources/assets/minecraft/textures/block/rubyglass/node.png.mcmeta
@@ -1,16 +1,6 @@
 {
-  "animation": {
-    "interpolate": true,
-    "frametime": 16,
-    "frames": [
-      0,
-      1,
-      2,
-      3,
-      4,
-      5,
-      6,
-      7
-    ]
-  }
+	"animation": {
+		"interpolate": true,
+		"frametime": 80
+	}
 }
\ No newline at end of file
diff --git a/game/client/src/main/resources/shaders/clouds.vsh b/game/client/src/main/resources/shaders/clouds.vsh
index 04756272e..16e6bfa08 100644
--- a/game/client/src/main/resources/shaders/clouds.vsh
+++ b/game/client/src/main/resources/shaders/clouds.vsh
@@ -28,8 +28,8 @@ void main() {
     float zFrac = fract(zOffset);
 
     TexCoord = aUV + vec2(
-        xInt * 1/256f,
-        zInt * 1/256f
+        xInt * 1/256.0,
+        zInt * 1/256.0
     );
 
     vec3 pos = aPos;
diff --git a/game/core/build.gradle.kts b/game/core/build.gradle.kts
index 2933056c4..26db79f9b 100644
--- a/game/core/build.gradle.kts
+++ b/game/core/build.gradle.kts
@@ -82,10 +82,10 @@ val versionGenerator by tasks.registering {
 // 2nd nibble: Minor version
 // 3rd nibble: 0 if release, 1 if prerelease, 2 if nightly/dev release
 // 4th nibble: Prerelease version or patch version
-// For example, 7.1_01 would be encoded as 0x7101
-// 7.1 prerelease 1 would be encoded as 0x7111
+// For example, 8.0.1 would be encoded as 0x8001
+// 8.1-pre1 would be encoded as 0x8111
 fun genProtocol(version: String, channel: String): String {
-    val parts = version.split(".") // 7.3_01
+    val parts = version.split(".") // 8.0.1
     var major = 0;
     var minor = 0;
     var patch = 0;
@@ -106,17 +106,17 @@ fun genProtocol(version: String, channel: String): String {
     } else if (parts.isNotEmpty()) {
         major = parts[0].trim().toInt()
         if (parts.size > 1) {
-            if (parts[1].contains("_")) {
-                val parts2 = parts[1].split("_")
-                minor = parts2[0].trim().toInt()
-                patch = parts2[1].trim().toInt()
-            } else if (parts[1].contains("-pre", true)) {
+            if (parts[1].contains("-pre", true)) {
                 val parts2 = parts[1].lowercase().split("-pre")
                 minor = parts2[0].trim().toInt()
                 patch = parts2[1].trim().toInt()
             } else {
                 minor = parts[1].trim().toInt()
             }
+
+            if (parts.size > 2) {
+                patch = parts[2].trim().toInt()
+            }
         }
     }
 
diff --git a/game/core/src/main/java/net/minecraft/core/Global.java b/game/core/src/main/java/net/minecraft/core/Global.java
index 3a4249ab4..b31db96e5 100644
--- a/game/core/src/main/java/net/minecraft/core/Global.java
+++ b/game/core/src/main/java/net/minecraft/core/Global.java
@@ -31,9 +31,9 @@ public class Global
 	// 2 byte value
 	// 1st nibble: Major version
 	// 2nd nibble: Minor version
-	// 3rd nibble: 0 if release, 1 if prerelease, 2 if nightly release
+	// 3rd nibble: 0 if release, 1 if prerelease, 2 if nightly/dev release
 	// 4th nibble: Prerelease version or patch version
-	// For example, 7.1_01 would be encoded as 0x7101
-	// 7.1 prerelease 1 would be encoded as 0x7111
+	// For example, 8.0.1 would be encoded as 0x8001
+	// 8.1-pre1 would be encoded as 0x8111
 	public static final int MP_PROTOCOL_VERSION = Version.MP_PROTOCOL_VERSION;
 }
